org.jbpm.process.instance.event.listeners

## Class VariableGuardProcessEventListener

- java.lang.Object
- - org.kie.api.event.process.DefaultProcessEventListener
  - - org.jbpm.process.instance.event.listeners.VariableGuardProcessEventListener

- All Implemented Interfaces:
    EventListener, org.kie.api.event.process.ProcessEventListener

      public class VariableGuardProcessEventListener
      extends org.kie.api.event.process.DefaultProcessEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableGuardProcessEventListener(String requiredRole, org.kie.internal.identity.IdentityProvider identityProvider)`
    `VariableGuardProcessEventListener(String tag, String requiredRole, org.kie.internal.identity.IdentityProvider identityProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)`

    - ### Methods inherited from class org.kie.api.event.process.DefaultProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessCompleted, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `afterSLAViolated, beforeSLAViolated, onMessage, onSignal`

- - ### Constructor Detail

    - #### VariableGuardProcessEventListener

          public VariableGuardProcessEventListener(String requiredRole,
                                                   org.kie.internal.identity.IdentityProvider identityProvider)

    - #### VariableGuardProcessEventListener

          public VariableGuardProcessEventListener(String tag,
                                                   String requiredRole,
                                                   org.kie.internal.identity.IdentityProvider identityProvider)

  - ### Method Detail

    - #### beforeVariableChanged

          public void beforeVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)

      Specified by:
        `beforeVariableChanged` in interface `org.kie.api.event.process.ProcessEventListener`
      Overrides:
        `beforeVariableChanged` in class `org.kie.api.event.process.DefaultProcessEventListener`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.